source: squid-ssl/trunk/fuentes/src/auth/digest/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 39.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/auth/digest
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libdigest_la_LIBADD =
162am_libdigest_la_OBJECTS = Config.lo Scheme.lo User.lo UserRequest.lo
163libdigest_la_OBJECTS = $(am_libdigest_la_OBJECTS)
164AM_V_lt = $(am__v_lt_@AM_V@)
165am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
166am__v_lt_0 = --silent
167am__v_lt_1 =
168AM_V_P = $(am__v_P_@AM_V@)
169am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
170am__v_P_0 = false
171am__v_P_1 = :
172AM_V_GEN = $(am__v_GEN_@AM_V@)
173am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
174am__v_GEN_0 = @echo "  GEN     " $@;
175am__v_GEN_1 =
176AM_V_at = $(am__v_at_@AM_V@)
177am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
178am__v_at_0 = @
179am__v_at_1 =
180DEFAULT_INCLUDES =
181depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
182am__depfiles_maybe = depfiles
183am__mv = mv -f
184CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
185        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
186LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
187        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
188        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
189        $(AM_CXXFLAGS) $(CXXFLAGS)
190AM_V_CXX = $(am__v_CXX_@AM_V@)
191am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
192am__v_CXX_0 = @echo "  CXX     " $@;
193am__v_CXX_1 =
194CXXLD = $(CXX)
195CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
197        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
198AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
199am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
200am__v_CXXLD_0 = @echo "  CXXLD   " $@;
201am__v_CXXLD_1 =
202COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
203        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
204LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
206        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
207        $(AM_CFLAGS) $(CFLAGS)
208AM_V_CC = $(am__v_CC_@AM_V@)
209am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
210am__v_CC_0 = @echo "  CC      " $@;
211am__v_CC_1 =
212CCLD = $(CC)
213LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
214        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
215        $(AM_LDFLAGS) $(LDFLAGS) -o $@
216AM_V_CCLD = $(am__v_CCLD_@AM_V@)
217am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
218am__v_CCLD_0 = @echo "  CCLD    " $@;
219am__v_CCLD_1 =
220SOURCES = $(libdigest_la_SOURCES)
221DIST_SOURCES = $(libdigest_la_SOURCES)
222am__can_run_installinfo = \
223  case $$AM_UPDATE_INFO_DIR in \
224    n|no|NO) false;; \
225    *) (install-info --version) >/dev/null 2>&1;; \
226  esac
227am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
228# Read a list of newline-separated strings from the standard input,
229# and print each of them once, without duplicates.  Input order is
230# *not* preserved.
231am__uniquify_input = $(AWK) '\
232  BEGIN { nonempty = 0; } \
233  { items[$$0] = 1; nonempty = 1; } \
234  END { if (nonempty) { for (i in items) print i; }; } \
235'
236# Make sure the list of sources is unique.  This is necessary because,
237# e.g., the same source file might be shared among _SOURCES variables
238# for different programs/libraries.
239am__define_uniq_tagged_files = \
240  list='$(am__tagged_files)'; \
241  unique=`for i in $$list; do \
242    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
243  done | $(am__uniquify_input)`
244ETAGS = etags
245CTAGS = ctags
246am__tty_colors_dummy = \
247  mgn= red= grn= lgn= blu= brg= std=; \
248  am__color_tests=no
249am__tty_colors = { \
250  $(am__tty_colors_dummy); \
251  if test "X$(AM_COLOR_TESTS)" = Xno; then \
252    am__color_tests=no; \
253  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
254    am__color_tests=yes; \
255  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
256    am__color_tests=yes; \
257  fi; \
258  if test $$am__color_tests = yes; then \
259    red='[0;31m'; \
260    grn='[0;32m'; \
261    lgn='[1;32m'; \
262    blu='[1;34m'; \
263    mgn='[0;35m'; \
264    brg='[1m'; \
265    std='[m'; \
266  fi; \
267}
268am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
269am__vpath_adj = case $$p in \
270    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
271    *) f=$$p;; \
272  esac;
273am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
274am__install_max = 40
275am__nobase_strip_setup = \
276  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
277am__nobase_strip = \
278  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
279am__nobase_list = $(am__nobase_strip_setup); \
280  for p in $$list; do echo "$$p $$p"; done | \
281  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
282  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
283    if (++n[$$2] == $(am__install_max)) \
284      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
285    END { for (dir in files) print dir, files[dir] }'
286am__base_list = \
287  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
288  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
289am__uninstall_files_from_dir = { \
290  test -z "$$files" \
291    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
292    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
293         $(am__cd) "$$dir" && rm -f $$files; }; \
294  }
295am__recheck_rx = ^[     ]*:recheck:[    ]*
296am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
297am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
298# A command that, given a newline-separated list of test names on the
299# standard input, print the name of the tests that are to be re-run
300# upon "make recheck".
301am__list_recheck_tests = $(AWK) '{ \
302  recheck = 1; \
303  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
304    { \
305      if (rc < 0) \
306        { \
307          if ((getline line2 < ($$0 ".log")) < 0) \
308            recheck = 0; \
309          break; \
310        } \
311      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
312        { \
313          recheck = 0; \
314          break; \
315        } \
316      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
317        { \
318          break; \
319        } \
320    }; \
321  if (recheck) \
322    print $$0; \
323  close ($$0 ".trs"); \
324  close ($$0 ".log"); \
325}'
326# A command that, given a newline-separated list of test names on the
327# standard input, create the global log from their .trs and .log files.
328am__create_global_log = $(AWK) ' \
329function fatal(msg) \
330{ \
331  print "fatal: making $@: " msg | "cat >&2"; \
332  exit 1; \
333} \
334function rst_section(header) \
335{ \
336  print header; \
337  len = length(header); \
338  for (i = 1; i <= len; i = i + 1) \
339    printf "="; \
340  printf "\n\n"; \
341} \
342{ \
343  copy_in_global_log = 1; \
344  global_test_result = "RUN"; \
345  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
346    { \
347      if (rc < 0) \
348         fatal("failed to read from " $$0 ".trs"); \
349      if (line ~ /$(am__global_test_result_rx)/) \
350        { \
351          sub("$(am__global_test_result_rx)", "", line); \
352          sub("[        ]*$$", "", line); \
353          global_test_result = line; \
354        } \
355      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
356        copy_in_global_log = 0; \
357    }; \
358  if (copy_in_global_log) \
359    { \
360      rst_section(global_test_result ": " $$0); \
361      while ((rc = (getline line < ($$0 ".log"))) != 0) \
362      { \
363        if (rc < 0) \
364          fatal("failed to read from " $$0 ".log"); \
365        print line; \
366      }; \
367      printf "\n"; \
368    }; \
369  close ($$0 ".trs"); \
370  close ($$0 ".log"); \
371}'
372# Restructured Text title.
373am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
374# Solaris 10 'make', and several other traditional 'make' implementations,
375# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
376# by disabling -e (using the XSI extension "set +e") if it's set.
377am__sh_e_setup = case $$- in *e*) set +e;; esac
378# Default flags passed to test drivers.
379am__common_driver_flags = \
380  --color-tests "$$am__color_tests" \
381  --enable-hard-errors "$$am__enable_hard_errors" \
382  --expect-failure "$$am__expect_failure"
383# To be inserted before the command running the test.  Creates the
384# directory for the log if needed.  Stores in $dir the directory
385# containing $f, in $tst the test, in $log the log.  Executes the
386# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
387# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
388# will run the test scripts (or their associated LOG_COMPILER, if
389# thy have one).
390am__check_pre = \
391$(am__sh_e_setup);                                      \
392$(am__vpath_adj_setup) $(am__vpath_adj)                 \
393$(am__tty_colors);                                      \
394srcdir=$(srcdir); export srcdir;                        \
395case "$@" in                                            \
396  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
397    *) am__odir=.;;                                     \
398esac;                                                   \
399test "x$$am__odir" = x"." || test -d "$$am__odir"       \
400  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
401if test -f "./$$f"; then dir=./;                        \
402elif test -f "$$f"; then dir=;                          \
403else dir="$(srcdir)/"; fi;                              \
404tst=$$dir$$f; log='$@';                                 \
405if test -n '$(DISABLE_HARD_ERRORS)'; then               \
406  am__enable_hard_errors=no;                            \
407else                                                    \
408  am__enable_hard_errors=yes;                           \
409fi;                                                     \
410case " $(XFAIL_TESTS) " in                              \
411  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
412    am__expect_failure=yes;;                            \
413  *)                                                    \
414    am__expect_failure=no;;                             \
415esac;                                                   \
416$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
417# A shell command to get the names of the tests scripts with any registered
418# extension removed (i.e., equivalently, the names of the test logs, with
419# the '.log' extension removed).  The result is saved in the shell variable
420# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
421# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
422# since that might cause problem with VPATH rewrites for suffix-less tests.
423# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
424am__set_TESTS_bases = \
425  bases='$(TEST_LOGS)'; \
426  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
427  bases=`echo $$bases`
428RECHECK_LOGS = $(TEST_LOGS)
429AM_RECURSIVE_TARGETS = check recheck
430TEST_SUITE_LOG = test-suite.log
431TEST_EXTENSIONS = @EXEEXT@ .test
432LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
433LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
434am__set_b = \
435  case '$@' in \
436    */*) \
437      case '$*' in \
438        */*) b='$*';; \
439          *) b=`echo '$@' | sed 's/\.log$$//'`; \
440       esac;; \
441    *) \
442      b='$*';; \
443  esac
444am__test_logs1 = $(TESTS:=.log)
445am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
446TEST_LOGS = $(am__test_logs2:.test.log=.log)
447TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
448TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
449        $(TEST_LOG_FLAGS)
450am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
451        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
452        $(top_srcdir)/src/TestHeaders.am
453DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
454ACLOCAL = @ACLOCAL@
455ADAPTATION_LIBS = @ADAPTATION_LIBS@
456ALLOCA = @ALLOCA@
457AMTAR = @AMTAR@
458AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
459AR = @AR@
460AR_R = @AR_R@
461AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
462AUTH_MODULES = @AUTH_MODULES@
463AUTOCONF = @AUTOCONF@
464AUTOHEADER = @AUTOHEADER@
465AUTOMAKE = @AUTOMAKE@
466AWK = @AWK@
467BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
468BUILDCXX = @BUILDCXX@
469BUILDCXXFLAGS = @BUILDCXXFLAGS@
470BZR = @BZR@
471CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
472CC = @CC@
473CCDEPMODE = @CCDEPMODE@
474CFLAGS = @CFLAGS@
475CGIEXT = @CGIEXT@
476CHMOD = @CHMOD@
477CPP = @CPP@
478CPPFLAGS = @CPPFLAGS@
479CPPUNITCONFIG = @CPPUNITCONFIG@
480CRYPTLIB = @CRYPTLIB@
481CXX = @CXX@
482CXXCPP = @CXXCPP@
483CXXDEPMODE = @CXXDEPMODE@
484CXXFLAGS = @CXXFLAGS@
485CYGPATH_W = @CYGPATH_W@
486DEFAULT_HOSTS = @DEFAULT_HOSTS@
487DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
488DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
489DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
490DEFS = @DEFS@
491DEPDIR = @DEPDIR@
492DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
493DISK_LIBS = @DISK_LIBS@
494DISK_LINKOBJS = @DISK_LINKOBJS@
495DISK_MODULES = @DISK_MODULES@
496DISK_OS_LIBS = @DISK_OS_LIBS@
497DISK_PROGRAMS = @DISK_PROGRAMS@
498DLLTOOL = @DLLTOOL@
499DSYMUTIL = @DSYMUTIL@
500DUMPBIN = @DUMPBIN@
501ECAP_LIBS = @ECAP_LIBS@
502ECHO_C = @ECHO_C@
503ECHO_N = @ECHO_N@
504ECHO_T = @ECHO_T@
505EGREP = @EGREP@
506EPOLL_LIBS = @EPOLL_LIBS@
507EUILIB = @EUILIB@
508EXEEXT = @EXEEXT@
509EXPATLIB = @EXPATLIB@
510EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
511EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
512EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
513FALSE = @FALSE@
514FGREP = @FGREP@
515GREP = @GREP@
516HAVE_CXX11 = @HAVE_CXX11@
517ICAP_LIBS = @ICAP_LIBS@
518INCLTDL = @INCLTDL@
519INSTALL = @INSTALL@
520INSTALL_DATA = @INSTALL_DATA@
521INSTALL_PROGRAM = @INSTALL_PROGRAM@
522INSTALL_SCRIPT = @INSTALL_SCRIPT@
523INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
524KRB5INCS = @KRB5INCS@
525KRB5LIBS = @KRB5LIBS@
526LBERLIB = @LBERLIB@
527LD = @LD@
528LDAPLIB = @LDAPLIB@
529LDFLAGS = @LDFLAGS@
530LIBADD_DL = @LIBADD_DL@
531LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
532LIBADD_DLOPEN = @LIBADD_DLOPEN@
533LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
534LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
535LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
536LIBLTDL = @LIBLTDL@
537LIBOBJS = @LIBOBJS@
538LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
539LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
540LIBS = @LIBS@
541LIBSASL = @LIBSASL@
542LIBTOOL = @LIBTOOL@
543LIB_DB = @LIB_DB@
544LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
545LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
546LINUXDOC = @LINUXDOC@
547LIPO = @LIPO@
548LN = @LN@
549LN_S = @LN_S@
550LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
551LTDLDEPS = @LTDLDEPS@
552LTDLINCL = @LTDLINCL@
553LTDLOPEN = @LTDLOPEN@
554LTLIBOBJS = @LTLIBOBJS@
555LT_ARGZ_H = @LT_ARGZ_H@
556LT_CONFIG_H = @LT_CONFIG_H@
557LT_DLLOADERS = @LT_DLLOADERS@
558LT_DLPREOPEN = @LT_DLPREOPEN@
559LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
560MAINT = @MAINT@
561MAKEINFO = @MAKEINFO@
562MANIFEST_TOOL = @MANIFEST_TOOL@
563MINGW_LIBS = @MINGW_LIBS@
564MKDIR = @MKDIR@
565MKDIR_P = @MKDIR_P@
566MV = @MV@
567NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
568NETTLELIB = @NETTLELIB@
569NM = @NM@
570NMEDIT = @NMEDIT@
571NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
572OBJDUMP = @OBJDUMP@
573OBJEXT = @OBJEXT@
574OTOOL = @OTOOL@
575OTOOL64 = @OTOOL64@
576PACKAGE = @PACKAGE@
577PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
578PACKAGE_NAME = @PACKAGE_NAME@
579PACKAGE_STRING = @PACKAGE_STRING@
580PACKAGE_TARNAME = @PACKAGE_TARNAME@
581PACKAGE_URL = @PACKAGE_URL@
582PACKAGE_VERSION = @PACKAGE_VERSION@
583PATH_SEPARATOR = @PATH_SEPARATOR@
584PERL = @PERL@
585PKG_CONFIG = @PKG_CONFIG@
586PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
587PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
588PO2HTML = @PO2HTML@
589PO2TEXT = @PO2TEXT@
590POD2MAN = @POD2MAN@
591RANLIB = @RANLIB@
592REGEXLIB = @REGEXLIB@
593REPL_LIBS = @REPL_LIBS@
594REPL_OBJS = @REPL_OBJS@
595REPL_POLICIES = @REPL_POLICIES@
596RM = @RM@
597SED = @SED@
598SET_MAKE = @SET_MAKE@
599SH = @SH@
600SHELL = @SHELL@
601SMBCLIENT = @SMBCLIENT@
602SNMPLIB = @SNMPLIB@
603SQUID_CFLAGS = @SQUID_CFLAGS@
604SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
605SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
606SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
607SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
608SSLLIB = @SSLLIB@
609STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
610STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
611STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
612STORE_TESTS = @STORE_TESTS@
613STRIP = @STRIP@
614TR = @TR@
615TRUE = @TRUE@
616URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
617VERSION = @VERSION@
618WBINFO = @WBINFO@
619WIN32_PSAPI = @WIN32_PSAPI@
620XMLLIB = @XMLLIB@
621XTRA_LIBS = @XTRA_LIBS@
622XTRA_OBJS = @XTRA_OBJS@
623abs_builddir = @abs_builddir@
624abs_srcdir = @abs_srcdir@
625abs_top_builddir = @abs_top_builddir@
626abs_top_srcdir = @abs_top_srcdir@
627ac_ct_AR = @ac_ct_AR@
628ac_ct_CC = @ac_ct_CC@
629ac_ct_CXX = @ac_ct_CXX@
630ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
631am__include = @am__include@
632am__leading_dot = @am__leading_dot@
633am__quote = @am__quote@
634am__tar = @am__tar@
635am__untar = @am__untar@
636bindir = @bindir@
637build = @build@
638build_alias = @build_alias@
639build_cpu = @build_cpu@
640build_os = @build_os@
641build_vendor = @build_vendor@
642builddir = @builddir@
643datadir = @datadir@
644datarootdir = @datarootdir@
645docdir = @docdir@
646dvidir = @dvidir@
647exec_prefix = @exec_prefix@
648host = @host@
649host_alias = @host_alias@
650host_cpu = @host_cpu@
651host_os = @host_os@
652host_vendor = @host_vendor@
653htmldir = @htmldir@
654includedir = @includedir@
655infodir = @infodir@
656install_sh = @install_sh@
657krb5_config = @krb5_config@
658libdir = @libdir@
659libexecdir = @libexecdir@
660localedir = @localedir@
661localstatedir = @localstatedir@
662ltdl_LIBOBJS = @ltdl_LIBOBJS@
663ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
664mandir = @mandir@
665mkdir_p = @mkdir_p@
666oldincludedir = @oldincludedir@
667pdfdir = @pdfdir@
668prefix = @prefix@
669program_transform_name = @program_transform_name@
670psdir = @psdir@
671runstatedir = @runstatedir@
672sbindir = @sbindir@
673sharedstatedir = @sharedstatedir@
674srcdir = @srcdir@
675subdirs = @subdirs@
676sys_symbol_underscore = @sys_symbol_underscore@
677sysconfdir = @sysconfdir@
678target_alias = @target_alias@
679top_build_prefix = @top_build_prefix@
680top_builddir = @top_builddir@
681top_srcdir = @top_srcdir@
682AM_CFLAGS = $(SQUID_CFLAGS)
683AM_CXXFLAGS = $(SQUID_CXXFLAGS)
684CLEANFILES = testHeaders
685TESTS = testHeaders
686AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
687        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
688        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
689        $(am__append_1)
690@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
691@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
692COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
693subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
694noinst_LTLIBRARIES = libdigest.la
695libdigest_la_SOURCES = \
696        Config.cc \
697        Config.h \
698        Scheme.cc \
699        Scheme.h \
700        User.cc \
701        User.h \
702        UserRequest.cc \
703        UserRequest.h
704
705all: all-am
706
707.SUFFIXES:
708.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
709$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
710        @for dep in $?; do \
711          case '$(am__configure_deps)' in \
712            *$$dep*) \
713              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
714                && { if test -f $@; then exit 0; else break; fi; }; \
715              exit 1;; \
716          esac; \
717        done; \
718        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/auth/digest/Makefile'; \
719        $(am__cd) $(top_srcdir) && \
720          $(AUTOMAKE) --gnu src/auth/digest/Makefile
721Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
722        @case '$?' in \
723          *config.status*) \
724            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
725          *) \
726            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
727            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
728        esac;
729$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
730
731$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
732        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
733
734$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
735        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
736$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
737        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
738$(am__aclocal_m4_deps):
739
740clean-noinstLTLIBRARIES:
741        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
742        @list='$(noinst_LTLIBRARIES)'; \
743        locs=`for p in $$list; do echo $$p; done | \
744              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
745              sort -u`; \
746        test -z "$$locs" || { \
747          echo rm -f $${locs}; \
748          rm -f $${locs}; \
749        }
750
751libdigest.la: $(libdigest_la_OBJECTS) $(libdigest_la_DEPENDENCIES) $(EXTRA_libdigest_la_DEPENDENCIES)
752        $(AM_V_CXXLD)$(CXXLINK)  $(libdigest_la_OBJECTS) $(libdigest_la_LIBADD) $(LIBS)
753
754clean-checkPROGRAMS:
755        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
756        echo " rm -f" $$list; \
757        rm -f $$list || exit $$?; \
758        test -n "$(EXEEXT)" || exit 0; \
759        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
760        echo " rm -f" $$list; \
761        rm -f $$list
762
763mostlyclean-compile:
764        -rm -f *.$(OBJEXT)
765
766distclean-compile:
767        -rm -f *.tab.c
768
769@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Config.Plo@am__quote@
770@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Scheme.Plo@am__quote@
771@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/User.Plo@am__quote@
772@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UserRequest.Plo@am__quote@
773
774.cc.o:
775@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
776@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
777@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
778@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
779@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
780@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
781
782.cc.obj:
783@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
784@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
785@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
786@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
787@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
788@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
789
790.cc.lo:
791@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
792@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
793@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
794@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
795@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
797
798mostlyclean-libtool:
799        -rm -f *.lo
800
801clean-libtool:
802        -rm -rf .libs _libs
803
804ID: $(am__tagged_files)
805        $(am__define_uniq_tagged_files); mkid -fID $$unique
806tags: tags-am
807TAGS: tags
808
809tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
810        set x; \
811        here=`pwd`; \
812        $(am__define_uniq_tagged_files); \
813        shift; \
814        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
815          test -n "$$unique" || unique=$$empty_fix; \
816          if test $$# -gt 0; then \
817            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
818              "$$@" $$unique; \
819          else \
820            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
821              $$unique; \
822          fi; \
823        fi
824ctags: ctags-am
825
826CTAGS: ctags
827ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
828        $(am__define_uniq_tagged_files); \
829        test -z "$(CTAGS_ARGS)$$unique" \
830          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
831             $$unique
832
833GTAGS:
834        here=`$(am__cd) $(top_builddir) && pwd` \
835          && $(am__cd) $(top_srcdir) \
836          && gtags -i $(GTAGS_ARGS) "$$here"
837cscopelist: cscopelist-am
838
839cscopelist-am: $(am__tagged_files)
840        list='$(am__tagged_files)'; \
841        case "$(srcdir)" in \
842          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
843          *) sdir=$(subdir)/$(srcdir) ;; \
844        esac; \
845        for i in $$list; do \
846          if test -f "$$i"; then \
847            echo "$(subdir)/$$i"; \
848          else \
849            echo "$$sdir/$$i"; \
850          fi; \
851        done >> $(top_builddir)/cscope.files
852
853distclean-tags:
854        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
855
856# Recover from deleted '.trs' file; this should ensure that
857# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
858# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
859# to avoid problems with "make -n".
860.log.trs:
861        rm -f $< $@
862        $(MAKE) $(AM_MAKEFLAGS) $<
863
864# Leading 'am--fnord' is there to ensure the list of targets does not
865# expand to empty, as could happen e.g. with make check TESTS=''.
866am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
867am--force-recheck:
868        @:
869
870$(TEST_SUITE_LOG): $(TEST_LOGS)
871        @$(am__set_TESTS_bases); \
872        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
873        redo_bases=`for i in $$bases; do \
874                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
875                    done`; \
876        if test -n "$$redo_bases"; then \
877          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
878          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
879          if $(am__make_dryrun); then :; else \
880            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
881          fi; \
882        fi; \
883        if test -n "$$am__remaking_logs"; then \
884          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
885               "recursion detected" >&2; \
886        elif test -n "$$redo_logs"; then \
887          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
888        fi; \
889        if $(am__make_dryrun); then :; else \
890          st=0;  \
891          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
892          for i in $$redo_bases; do \
893            test -f $$i.trs && test -r $$i.trs \
894              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
895            test -f $$i.log && test -r $$i.log \
896              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
897          done; \
898          test $$st -eq 0 || exit 1; \
899        fi
900        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
901        ws='[   ]'; \
902        results=`for b in $$bases; do echo $$b.trs; done`; \
903        test -n "$$results" || results=/dev/null; \
904        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
905        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
906        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
907        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
908        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
909        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
910        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
911        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
912          success=true; \
913        else \
914          success=false; \
915        fi; \
916        br='==================='; br=$$br$$br$$br$$br; \
917        result_count () \
918        { \
919            if test x"$$1" = x"--maybe-color"; then \
920              maybe_colorize=yes; \
921            elif test x"$$1" = x"--no-color"; then \
922              maybe_colorize=no; \
923            else \
924              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
925            fi; \
926            shift; \
927            desc=$$1 count=$$2; \
928            if test $$maybe_colorize = yes && test $$count -gt 0; then \
929              color_start=$$3 color_end=$$std; \
930            else \
931              color_start= color_end=; \
932            fi; \
933            echo "$${color_start}# $$desc $$count$${color_end}"; \
934        }; \
935        create_testsuite_report () \
936        { \
937          result_count $$1 "TOTAL:" $$all   "$$brg"; \
938          result_count $$1 "PASS: " $$pass  "$$grn"; \
939          result_count $$1 "SKIP: " $$skip  "$$blu"; \
940          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
941          result_count $$1 "FAIL: " $$fail  "$$red"; \
942          result_count $$1 "XPASS:" $$xpass "$$red"; \
943          result_count $$1 "ERROR:" $$error "$$mgn"; \
944        }; \
945        {                                                               \
946          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
947            $(am__rst_title);                                           \
948          create_testsuite_report --no-color;                           \
949          echo;                                                         \
950          echo ".. contents:: :depth: 2";                               \
951          echo;                                                         \
952          for b in $$bases; do echo $$b; done                           \
953            | $(am__create_global_log);                                 \
954        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
955        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
956        if $$success; then                                              \
957          col="$$grn";                                                  \
958         else                                                           \
959          col="$$red";                                                  \
960          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
961        fi;                                                             \
962        echo "$${col}$$br$${std}";                                      \
963        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
964        echo "$${col}$$br$${std}";                                      \
965        create_testsuite_report --maybe-color;                          \
966        echo "$$col$$br$$std";                                          \
967        if $$success; then :; else                                      \
968          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
969          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
970            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
971          fi;                                                           \
972          echo "$$col$$br$$std";                                        \
973        fi;                                                             \
974        $$success || exit 1
975
976check-TESTS:
977        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
978        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
979        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
980        @set +e; $(am__set_TESTS_bases); \
981        log_list=`for i in $$bases; do echo $$i.log; done`; \
982        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
983        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
984        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
985        exit $$?;
986recheck: all $(check_PROGRAMS)
987        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
988        @set +e; $(am__set_TESTS_bases); \
989        bases=`for i in $$bases; do echo $$i; done \
990                 | $(am__list_recheck_tests)` || exit 1; \
991        log_list=`for i in $$bases; do echo $$i.log; done`; \
992        log_list=`echo $$log_list`; \
993        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
994                am__force_recheck=am--force-recheck \
995                TEST_LOGS="$$log_list"; \
996        exit $$?
997testHeaders.log: testHeaders
998        @p='testHeaders'; \
999        b='testHeaders'; \
1000        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1001        --log-file $$b.log --trs-file $$b.trs \
1002        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1003        "$$tst" $(AM_TESTS_FD_REDIRECT)
1004.test.log:
1005        @p='$<'; \
1006        $(am__set_b); \
1007        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1008        --log-file $$b.log --trs-file $$b.trs \
1009        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1010        "$$tst" $(AM_TESTS_FD_REDIRECT)
1011@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1012@am__EXEEXT_TRUE@       @p='$<'; \
1013@am__EXEEXT_TRUE@       $(am__set_b); \
1014@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1015@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1016@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1017@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1018
1019distdir: $(DISTFILES)
1020        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1021        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1022        list='$(DISTFILES)'; \
1023          dist_files=`for file in $$list; do echo $$file; done | \
1024          sed -e "s|^$$srcdirstrip/||;t" \
1025              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1026        case $$dist_files in \
1027          */*) $(MKDIR_P) `echo "$$dist_files" | \
1028                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1029                           sort -u` ;; \
1030        esac; \
1031        for file in $$dist_files; do \
1032          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1033          if test -d $$d/$$file; then \
1034            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1035            if test -d "$(distdir)/$$file"; then \
1036              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1037            fi; \
1038            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1039              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1040              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1041            fi; \
1042            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1043          else \
1044            test -f "$(distdir)/$$file" \
1045            || cp -p $$d/$$file "$(distdir)/$$file" \
1046            || exit 1; \
1047          fi; \
1048        done
1049check-am: all-am
1050        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1051        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1052check: check-am
1053all-am: Makefile $(LTLIBRARIES)
1054installdirs:
1055install: install-am
1056install-exec: install-exec-am
1057install-data: install-data-am
1058uninstall: uninstall-am
1059
1060install-am: all-am
1061        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1062
1063installcheck: installcheck-am
1064install-strip:
1065        if test -z '$(STRIP)'; then \
1066          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1067            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1068              install; \
1069        else \
1070          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1071            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1072            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1073        fi
1074mostlyclean-generic:
1075        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1076        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1077        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1078
1079clean-generic:
1080        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1081
1082distclean-generic:
1083        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1084        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1085
1086maintainer-clean-generic:
1087        @echo "This command is intended for maintainers to use"
1088        @echo "it deletes files that may require special tools to rebuild."
1089clean: clean-am
1090
1091clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1092        clean-noinstLTLIBRARIES mostlyclean-am
1093
1094distclean: distclean-am
1095        -rm -rf ./$(DEPDIR)
1096        -rm -f Makefile
1097distclean-am: clean-am distclean-compile distclean-generic \
1098        distclean-tags
1099
1100dvi: dvi-am
1101
1102dvi-am:
1103
1104html: html-am
1105
1106html-am:
1107
1108info: info-am
1109
1110info-am:
1111
1112install-data-am:
1113
1114install-dvi: install-dvi-am
1115
1116install-dvi-am:
1117
1118install-exec-am:
1119
1120install-html: install-html-am
1121
1122install-html-am:
1123
1124install-info: install-info-am
1125
1126install-info-am:
1127
1128install-man:
1129
1130install-pdf: install-pdf-am
1131
1132install-pdf-am:
1133
1134install-ps: install-ps-am
1135
1136install-ps-am:
1137
1138installcheck-am:
1139
1140maintainer-clean: maintainer-clean-am
1141        -rm -rf ./$(DEPDIR)
1142        -rm -f Makefile
1143maintainer-clean-am: distclean-am maintainer-clean-generic
1144
1145mostlyclean: mostlyclean-am
1146
1147mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1148        mostlyclean-libtool
1149
1150pdf: pdf-am
1151
1152pdf-am:
1153
1154ps: ps-am
1155
1156ps-am:
1157
1158uninstall-am:
1159
1160.MAKE: check-am install-am install-strip
1161
1162.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1163        clean-checkPROGRAMS clean-generic clean-libtool \
1164        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1165        distclean-compile distclean-generic distclean-libtool \
1166        distclean-tags distdir dvi dvi-am html html-am info info-am \
1167        install install-am install-data install-data-am install-dvi \
1168        install-dvi-am install-exec install-exec-am install-html \
1169        install-html-am install-info install-info-am install-man \
1170        install-pdf install-pdf-am install-ps install-ps-am \
1171        install-strip installcheck installcheck-am installdirs \
1172        maintainer-clean maintainer-clean-generic mostlyclean \
1173        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1174        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1175        uninstall-am
1176
1177.PRECIOUS: Makefile
1178
1179
1180$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1181
1182testHeaders: $(srcdir)/*.h
1183        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1184
1185.PHONY: testHeaders
1186
1187# Tell versions [3.59,3.63) of GNU make to not export all variables.
1188# Otherwise a system limit (for SysV at least) may be exceeded.
1189.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.